require("harpoon").setup({ global_settings = { enter_on_sendcmd = true, }, })
local harpoon_ui = require("harpoon.ui")
local harpoon_mark = require("harpoon.mark")
local harpoon_cmd_ui = require("harpoon.cmd-ui")
local harpoon_term = require("harpoon.term")
vim.keymap.set("n", "<leader>1", function() harpoon_ui.nav_file(1) end, {})
vim.keymap.set("n", "<leader>2", function() harpoon_ui.nav_file(2) end, {})
vim.keymap.set("n", "<leader>3", function() harpoon_ui.nav_file(3) end, {})
vim.keymap.set("n", "<leader>4", function() harpoon_ui.nav_file(4) end, {})
vim.keymap.set("n", "<leader>5", function() harpoon_ui.nav_file(5) end, {})
vim.keymap.set("n", "<leader>a", function() harpoon_mark.add_file() end, {})
vim.keymap.set("n", "<leader>mm", function() harpoon_ui.toggle_quick_menu() end, {})
vim.keymap.set("n", "<leader>cc", function() harpoon_term.sendCommand(1,1) end, {})
vim.keymap.set("n", "<leader>c2", function() harpoon_term.sendCommand(1,2) end, {})
vim.keymap.set("n", "<leader>c3", function() harpoon_term.sendCommand(1,3) end, {})
vim.keymap.set("n", "<leader>c4", function() harpoon_term.sendCommand(1,4) end, {})
vim.keymap.set("n", "<leader>c5", function() harpoon_term.sendCommand(1,5) end, {})
vim.keymap.set("n", "<leader>cm", function() harpoon_cmd_ui.toggle_quick_menu() end, {})
vim.keymap.set("n", "<leader>t", function() harpoon_term.gotoTerminal(1) end, {})
vim.keymap.set("n", "<c-t>", function() harpoon_term.gotoTerminal(2) end, {})
vim.keymap.set("n", "<c-u>", function() harpoon_term.gotoTerminal(3) end, {})
vim.keymap.set("n", "<c-u><c-u>", function() harpoon_term.gotoTerminal(4) end, {})
vim.keymap.set("n", "<c-u><c-u><c-u>", function() harpoon_term.gotoTerminal(5) end, {})
vim.keymap.set("n", "<c-u><c-u><c-u><c-u>", function() harpoon_term.gotoTerminal(6) end, {})
vim.keymap.set("n", "<c-u><c-u><c-u><c-u><c-u>", function() harpoon_term.gotoTerminal(7) end, {})
