{ config, lib, pkgs, ... }:

with lib; {
  options.lwad.applications.wireshark.enable = mkEnableOption "wireshark";
  config = mkIf config.lwad.applications.wireshark.enable {
    environment.systemPackages = [ pkgs.wireshark ];
    programs.wireshark.enable = true;
    users.users.${config.lwad.definitions.username}.extraGroups =
      [ "wireshark" ];
  };
}
