{ config, lib, ... }:

with lib; {
  options.lwad.hardening.actRun.enable = mkOption {
    default = true;
    description = "Whether to enable act-run hardening.";
    type = types.bool;
  };
  config.systemd.services.gitea-runner-runner.serviceConfig.CapabilityBoundingSet =
    let cfg = config.lwad.hardening.actRun.enable;
    in mkIf cfg "";
}
