{ config, lib, pkgs, ... }:

with lib; {
  options.lwad.utilities.pulseaudio.enable = mkEnableOption "pulse audio";
  config = mkIf config.lwad.utilities.pulseaudio.enable {
    environment.systemPackages = [ pkgs.pulsemixer ];
    services.pipewire = {
      audio.enable = true;
      enable = true;
      pulse.enable = true;
      socketActivation = true;
    };
  };
}
