{ config, lib, ... }:

with lib; {
  options.lwad.utilities.tailscale.enable = mkEnableOption "tailscale";
  config = let cfg = config.lwad.utilities.tailscale.enable;
  in mkIf cfg {
    networking.networkmanager.unmanaged = [ "tailscale0" ];
    services.tailscale.enable = true;
  };
}
